Bug 1285539 - [RFE] - Tune Controller for best Mongodb Performance
[RFE] - Tune Controller for best Mongodb Performance
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
All Linux
high Severity medium
: ---
: 11.0 (Ocata)
Assigned To: Hugh Brock
Shai Revivo
: FutureFeature, Reopened
Depends On: 1285522
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 16:47 EST by Joe Talerico
Modified: 2016-11-18 09:28 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1285522
Environment:
Last Closed: 2016-11-18 09:28:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Talerico 2015-11-25 16:47:59 EST
+++ This bug was initially created as a clone of Bug #1285522 +++

Description of problem:
Mongodb recommends two preferred OS tunings for it to run optimally.  We probably want to implement these MonogoDB tunings on the controller machines that host Mongo as long as ceilometer is deployed and using Mongodb.

The tunings are printed in the Mongo console:

[root@overcloud-controller-0 lib]# mongo --host 172.21.33.20
MongoDB shell version: 2.6.9
connecting to: 172.21.33.20:27017/test
Welcome to the MongoDB shell.
For interactive help, type "help".
For more comprehensive documentation, see
	http://docs.mongodb.org/
Questions? Try the support group
	http://groups.google.com/group/mongodb-user
Server has startup warnings:
2015-10-15T17:52:08.004-0400 [initandlisten]
2015-10-15T17:52:08.004-0400 [initandlisten] ** WARNING: You are running on a NUMA machine.
2015-10-15T17:52:08.004-0400 [initandlisten] **          We suggest launching mongod like this to avoid performance problems:
2015-10-15T17:52:08.004-0400 [initandlisten] **              numactl --interleave=all mongod [other options]
2015-10-15T17:52:08.004-0400 [initandlisten]
2015-10-15T17:52:08.004-0400 [initandlisten]
2015-10-15T17:52:08.004-0400 [initandlisten] ** WARNING: Readahead for /var/lib/mongodb is set to 4096KB
2015-10-15T17:52:08.004-0400 [initandlisten] **          We suggest setting it to 256KB (512 sectors) or less
2015-10-15T17:52:08.004-0400 [initandlisten] **          http://dochub.mongodb.org/core/readahead
tripleo:PRIMARY>
Comment 3 Mike Burns 2016-04-07 17:00:12 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Note You need to log in before you can comment on or make changes to this bug.